_Ecore_IMF_Event_Key_Down Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_IMF_Event_Key_Down Struct Reference
Ecore » Ecore_IMF - Ecore Input Method Library Functions » Ecore Input Method Context Functions

The structure type used with the Key_Down event. More...

`#include <Ecore_IMF.h>`

## Data Fields
const char * | keyname
| The string name of the key pressed.
Ecore_IMF_Keyboard_Modifiers | modifiers
| The keyboard modifiers active when the event has been emitted.
Ecore_IMF_Keyboard_Locks | locks
| The keyboard locks active when the event has been emitted.
const char * | key
| The logical key : (eg shift+1 == exclamation)
const char * | string
| A UTF8 string if this keystroke has produced a visible string to be ADDED.
const char * | compose
| A UTF8 string if this keystroke has modified a string in the middle of being composed - this string replaces the previous one.
unsigned int | timestamp
| The timestamp when the event occurred.
const char * | dev_name
| The device name of the key pressed.
Ecore_IMF_Device_Class | dev_class
| The device class of the key pressed.
Ecore_IMF_Device_Subclass | dev_subclass
| The device subclass of the key pressed.
unsigned int | keycode
| Key scan code numeric value.

## Detailed Description

The structure type used with the Key_Down event.

Examples
  ecore_imf_example.c.

## Field Documentation

## ◆ dev_name

const char* _Ecore_IMF_Event_Key_Down::dev_name

The device name of the key pressed.

Since
  1.14

Referenced by ecore_imf_evas_event_key_down_wrap().

## ◆ dev_class

Ecore_IMF_Device_Class _Ecore_IMF_Event_Key_Down::dev_class

The device class of the key pressed.

Since
  1.14

Referenced by ecore_imf_evas_event_key_down_wrap().

## ◆ dev_subclass

Ecore_IMF_Device_Subclass _Ecore_IMF_Event_Key_Down::dev_subclass

The device subclass of the key pressed.

Since
  1.14

Referenced by ecore_imf_evas_event_key_down_wrap().

## ◆ keycode

unsigned int _Ecore_IMF_Event_Key_Down::keycode

Key scan code numeric value.

Since
  1.22

Referenced by ecore_imf_evas_event_key_down_wrap().